[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [Qemu-devel] live snapshot wiki updated



On 07/21/2011 08:19 AM, Jes Sorensen wrote:
There is a difference between upgrading to pick up additional features
and forced upgrade.

It is not just a question of libvirt possibly reviewing a file format,
it is also having two codebases that needs to be implemented and maintained.

Then give us a libblockid.so that provides a stable interface, and which is also used by qemu to manage QED, qcow3, ..., so that libvirt can rely on the stable library interface rather than having to learn new file formats all the time.

But yes, we already had to upgrade libvirt code to parse qed formats, and anyone wanting to use qed via libvirt has to do a lockstep upgrade of both qemu and libvirt, because no one has yet written a nice shared library that can do it on our behalf through a stable API.

--
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]